# mpi4py.MPI.Pickle

class mpi4py.MPI.Pickle

  Bases: `object`

  Pickle/unpickle Python objects.

  static __new__(cls, pickle=None)
    Parameters:

      pickle (Pickle | None)

    Return type:

      Self

  Methods Summary

  `dumps`(obj) | Serialize object to pickle data stream.
  `dumps_oob`(obj) | Serialize object to pickle data stream and out-of-band buffers.
  `loads`(data) | Deserialize object from pickle data stream.
  `loads_oob`(data, buffers) | Deserialize object from pickle data stream and out-of-band buffers.

  Attributes Summary

  `PROTOCOL` | Protocol version.
  `THRESHOLD` | Out-of-band threshold.

  Methods Documentation

  dumps(obj)

    Serialize object to pickle data stream.

    Parameters:

      obj (Any)

    Return type:

      bytes

  dumps_oob(obj)

    Serialize object to pickle data stream and out-of-band buffers.

    Parameters:

      obj (Any)

    Return type:

      tuple[bytes, list[buffer]]

  loads(data)

    Deserialize object from pickle data stream.

    Parameters:

      data (Buffer)

    Return type:

      Any

  loads_oob(data, buffers)

    Deserialize object from pickle data stream and out-of-band buffers.

    Parameters:

      - data (Buffer)

      - buffers (Iterable[Buffer])

    Return type:

      Any

  Attributes Documentation

  PROTOCOL

    Protocol version.

  THRESHOLD

    Out-of-band threshold.